Commit History
-
Allow customising defaultQuery for native Azure OpenAI support (#822)
Unverified signatureThe api-version is a required query parameter for Azure OpenAI, by supporting this we can support it without a gateway like portkey. Co-authored-by: Nathan Sarrazin <sarrazin.nathan@gmail.com>7c4d92a
-
Conversation trees (#223) (#807)
Unverified signature* work on branching * branching * work on input field * wip * wip * helper stuff * pass tests * add type guards and clean up type requirements * fixed shared conv type * more helpers stuff * clean up code * addChildren helper * addSibling * add test for addSibling & refacto addChildren tests * backend work pt. 1 * backend done * add children property to messages for easier frontend rendering * fix message id type rail * front-end work on simple linear conversation * fix title generation * convert conversations on post * server side retry works with branching * clean up buttons * fix retry feature backend * Send new messages in any subtree * make edit previous prompts feature work * fix padding * revert unneeded changes * bring back pending message * fix front-end streaming * fix initial message * Revert "fix initial message" This reverts commit 6257fe8789c52a20e7506aa453efda55c16e95bb. * …e6addfc
-
fix continue button on openai endpoint (#803)
Unverified signature12e7e30
-
Several QoL contributions (#760)
Luke +1: nsarrazin Unverified signature* allow customizing disclaimer as `PUBLIC_APP_DISCLAIMER_MESSAGE` * support passing `defaultHeaders` to `openai` endpoint * add azure openai, claude, mistral examples using `defaultHeaders` & `openai` endpoint * fix streaming being buffered behind cloudflare tunnel might help to relieve issue #598 * support new lines in model description * don't automatically generate modelUrl to huggingface fixes broken links for self-hosted or custom-named model * add `PUBLIC_APP_DISCLAIMER_MESSAGE` in `.env` * `npm run format` --------- Co-authored-by: Nathan Sarrazin <sarrazin.nathan@gmail.com>73a5c0d
-
Continue generation feature (#707)
Unverified signature* Initial work on continue feature * Move continue button * Fix websearch with continue * Make it work with every model * Update src/routes/conversation/[id]/+server.ts Co-authored-by: Mishig <mishig.davaadorj@coloradocollege.edu> * fixes * async all the things * add reduce comment * remove log * Only show loading indicator if not continuing --------- Co-authored-by: Mishig <mishig.davaadorj@coloradocollege.edu>77399ca -
[JS] use shorthand notation (#711)
MishigUnverified signature* [JS] use shorthand notation * add `"object-shorthand": ["error", "always"],` * fix "Expected method shorthand object-shorthand" * formatd5559df
-
Standardize HF_ACCESS_TOKEN -> HF_TOKEN (#610)
Unverified signature* Standardize HF_ACCESS_TOKEN -> HF_TOKEN * Replace HF_ACCESS_TOKEN by HF_TOKEN in .env * Add legacy support for HF_ACCESS_TOKEN --------- Co-authored-by: Nathan Sarrazin <sarrazin.nathan@gmail.com>3cbea34
-
Support websearch for openAI chat completion mode (#608)
Unverified signaturecb29148 -
Add support for passing an API key or any other custom token in the authorization header (#579)
Galén +1: nsarrazin Unverified signature* Add support for passing an API key or any other custom token in the authorization header * Make linter happy * Fix README as per linter suggestions * Refactor endpoints to actually parse zod config * Remove top level env var and simplify header addition * Skip section on API key or other, remove obsolete comment in endpointTgi.ts and remote CUSTOM_AUTHORIZATION_TOKEN from .env --------- Co-authored-by: Nathan Sarrazin <sarrazin.nathan@gmail.com>a1afcb6
-
Add ollama endpoint support (#569)
Unverified signature* Add ollama endpoint support * replace if by switch * Add Ollama example in docs14f0244
-
disable cache on tgi endpoint (#567)
Unverified signaturedd4c436
-
Add support for tgi multimodal models (#531)
Unverified signature* wip: add support for tgi multimodal models * wip work on passing images to prompt * working idefics config! * rm allowed conv feature * lint * Add image resizing * fix ssr * add upload button * add delete button * misc formatting * lint * server file size check * optimistic update of images * retry with images * fix websearch button * lint * better error handling & max one image at a time * replace test image by blank one * disable loading on page change * Fix sharing of images * fix comments * Update filedropzone (#544) * Update src/lib/buildPrompt.ts Co-authored-by: Mishig <mishig.davaadorj@coloradocollege.edu> * small tweaks * Fix merge conflicts * lint * wildcard image mime type * fix lint and comment * added comments * added comment about file size * Readme update --------- Co-authored-by: Mishig <mishig.davaadorj@coloradocollege.edu> Co-authored-by: Victor Mustar <victor.mustar@g…0e5c445 -
remove min string size on accessToken
Unverified signature6cfb775
-
fix: typecheck
Unverified signature26efb26 -
Modular backends & support for openAI & AWS endpoints (#541)
Unverified signature* Fix the response Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Should use /completions Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Use async generator Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Use openai npm Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Fix generateFromDefaultEndpoint Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Fix last char become undefined Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Better support for system prompt Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Updates Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Revert Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Update README Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * Default system prompt Signed-off-by: Hung-Han (Henry) Chen <chenhungh@gmail.com> * remove sk- Signed-off-by: Hung-Han …9db8ced